Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertificateNotYetValidException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.cert.CertificateException
                              |
                              +--java.security.cert.CertificateNotYetValidException

All Implemented Interfaces:
  Serializable

public class CertificateNotYetValidException
extends CertificateException

Certificate is not yet valid exception. This is thrown whenever the current `Date` or the specified `Date` is before the `notBefore` date/time in the Certificate validity period.

See Also:
  Serialized Form

Constructor Summary
`CertificateNotYetValidException()` Constructs a CertificateNotYetValidException with no detail message.
`CertificateNotYetValidException(String message)` Constructs a CertificateNotYetValidException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateNotYetValidException

    public CertificateNotYetValidException()

  Constructs a CertificateNotYetValidException with no detail message. A detail message is a String that describes this particular exception.

### CertificateNotYetValidException

    public CertificateNotYetValidException(String message)

  Constructs a CertificateNotYetValidException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `message` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.